### Method

# Foundry SdkManager dup_sdk

#### Declaration [src]

    FoundrySdk*
    foundry_sdk_manager_dup_sdk (
      FoundrySdkManager* self
    )

#### Description [src]

Gets the active SDK.

This is generally used for build pipelines, terminal shells, and more.

#### Return value

Type: `FoundrySdk`

A `FoundrySdk` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.